cdac.medinfo.sdk.hl7282.hl7model.messages.claimsandreimbursement

## Class QBP_E22

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.baselibs.messages.AbstractQuery
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.claimsandreimbursement.QBP_E22

-     public final class QBP_E22
      extends AbstractQuery

  QBP_E22 - Query Authorization Request Status (event E22). This message is used to query the status of an Authorization Request.

  Represents a QBP_E22 message structure (see chapter 16.3.12). This structure contains the following elements:

  0: MSH (Message Header segment)
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential segment) MULTIPLE_OPTIONAL
  3: QUERY (a Group of segments in QBP_E22 message) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  QBP_E22 objE22 = (QBP_E22)MessageFactory.createInstance().createSendSupportedMessage("QBP", "E22");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addQueryGroup(IGroup objGroup)` Adds QUERY to this message.
    `void` | `addQueryGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of QUERY to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `void` | `addUserAuthenticationCredentialSegment(ISingleCollection<UAC> objUACSegmentCollection)` Adds collection of User Authentication Credential Segment(UAC) to this message.
    `void` | `addUserAuthenticationCredentialSegment(UAC objUAC)` Adds User Authentication Credential Segment(UAC) to this message.
    `ISingleCollection<IGroup>` | `getQueryGroups()` Retrieves Collection of QUERY present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `ISingleCollection<UAC>` | `getUserAuthenticationCredentialSegments()` Retrieves Collection of User Authentication Credential Segments(UAC) present in this message.
    `boolean` | `isQuery()` Verifies whether message is Query.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.AbstractQuery

      `getQueryIdentifier, getQuerySegments, isBatchRSPExpected, isCanceledQuery, isCanceledResponse, isDeferred, isInteractiveQuery, isInteractiveResponse, setIsCanceledQuery, setIsCanceledResponse, setIsInteractiveQuery, setIsInteractiveResponse`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isQuery

          public boolean isQuery()

      Verifies whether message is Query.
      Overrides:
        `isQuery` in class `Message`
      Returns:
        boolean

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this message to this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegments

          public ISingleCollection<UAC> getUserAuthenticationCredentialSegments()

      Retrieves Collection of User Authentication Credential Segments(UAC) present in this message.
      Returns:
        ISingleCollection - Collection of User Authentication Credential Segments(UAC) present in this message.

    - #### addUserAuthenticationCredentialSegment

          public void addUserAuthenticationCredentialSegment(UAC objUAC)

      Adds User Authentication Credential Segment(UAC) to this message.
      Parameters:
        `objUAC` - Specified User Authentication Credential Segment(UAC) to be added in this message to this message.

    - #### addUserAuthenticationCredentialSegment

          public void addUserAuthenticationCredentialSegment(ISingleCollection<UAC> objUACSegmentCollection)

      Adds collection of User Authentication Credential Segment(UAC) to this message.
      Parameters:
        `objUACSegmentCollection` - Collection of User Authentication Credential Segments to add in this message

    - #### getQueryGroups

          public ISingleCollection<IGroup> getQueryGroups()

      Retrieves Collection of QUERY present in this message.
      Returns:
        ISingleCollection - Collection of QUERY present in this Message.

    - #### addQueryGroups

          public void addQueryGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of QUERY to this message.
      Parameters:
        `objSingleCollection` - - Specified QUERY Collection.

    - #### addQueryGroup

          public void addQueryGroup(IGroup objGroup)

      Adds QUERY to this message.
      Parameters:
        `objGroup` - Specified QUERY.